/**
 * Theme Name: Blocksy Child
 * Description: Blocksy Child theme
 * Author: Creative Themes
 * Template: blocksy
 * Text Domain: blocksy
 */


@font-face {
    font-family: 'Siei';
    src: url('400.woff2') format('woff2');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Siei plain';
    src: url('/wp-content/themes/blocksy-child/lineto-circular-book.woff2') format('woff2');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Siei plain';
    src: url('/wp-content/themes/blocksy-child/lineto-circular-bold.woff2') format('woff2');
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

h1, 
h2, 
h3, 
h4, 
h5, 
h6 {
    font-family: 'Siei', sans-serif !important;
}
p, a{
    font-family: 'Siei plain', sans-serif !important;  
}
p strong,
p b {
     font-family: 'Siei plain', sans-serif !important;
}
button, date, time, span, li, ul{
     font-family: 'Siei plain', sans-serif !important;
}

/* From Uiverse.io by satyamchaudharydev */ 
.primarybutton {
  --primary-color: #645bff;
  --secondary-color: #fff;
  --hover-color: #111;
  --arrow-width: 10px;
  --arrow-stroke: 2px;
  box-sizing: border-box;
  border: 0;
  border-radius: 20px;
  color: var(--secondary-color);
  padding: 1em 1.8em;
  background: var(--primary-color);
  display: flex;
  transition: 0.2s background;
  align-items: center;
  gap: 0.6em;
  font-weight: bold;
}

.primarybutton .arrow-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
}

.primarybutton .arrow {
  margin-top: 1px;
  width: var(--arrow-width);
  background: var(--primary-color);
  height: var(--arrow-stroke);
  position: relative;
  transition: 0.2s;
}

.primarybutton .arrow::before {
  content: "";
  box-sizing: border-box;
  position: absolute;
  border: solid var(--secondary-color);
  border-width: 0 var(--arrow-stroke) var(--arrow-stroke) 0;
  display: inline-block;
  top: -3px;
  right: 3px;
  transition: 0.2s;
  padding: 3px;
  transform: rotate(-45deg);
}

.primarybutton:hover {
  background-color: var(--hover-color);
}

.primarybutton:hover .arrow {
  background: var(--secondary-color);
}

.primarybutton:hover .arrow:before {
  right: 0;
}


/* Base */
.cta-text {
    font-family: 'Siei', sans-serif;
}

/* Desktop version */
.desktop-text {
    text-decoration: underline;
}

/* Mobile version hidden by default */
.mobile-text {
    display: none;
}

/* Mobile styles */
@media (max-width: 768px) {

    .desktop-text {
        display: none;
    }

    .mobile-text {
        display: inline-block;
        background: #14b8a6; /* change color if needed */
        color: #fff;
        padding: 11px 22px;
        border-radius: 30px;
        text-decoration: none;
    }
}
a.entry-button.wp-element-button.ct-button{
    border-radius: 50px;
}
input,
textarea {
    font-family: 'Siei plain', sans-serif !important;
}

/* All placeholders */
input::placeholder,
textarea::placeholder {
    font-family: 'Siei plain', sans-serif !important;
    opacity: 1;
}

/* Optional: include selects if needed */
select {
    font-family: 'Siei plain', sans-serif !important;
}